/// <reference types="react" />
import { CSS as CSS$1 } from '@stitches/react';
import { AnyObject } from '@vtex/admin-ui-util';
import * as CSS from 'csstype';
import * as _stitches_react_types_css from '@stitches/react/types/css';
import * as _stitches_react_types_styled_component from '@stitches/react/types/styled-component';
import * as _stitches_react_types_stitches from '@stitches/react/types/stitches';
import * as _stitches_react_types_css_util from '@stitches/react/types/css-util';
import * as _stitches_react_types_config from '@stitches/react/types/config';
import * as react from 'react';
import * as _stitches_react_types_util from '@stitches/react/types/util';

declare const tokens: {
    transitions: {
        snap: string;
        fade: string;
        pop: string;
        callout: string;
    };
    zIndices: {
        'z-1': number;
        'z-2': number;
        'z-3': number;
        'z-4': number;
        'z-5': number;
        'z-6': number;
        'z-7': number;
        'z-8': number;
        'z-9': number;
        'z-10': number;
    };
    lineHeights: {
        pageTitle: number;
        title1: number;
        title2: number;
        action1: number;
        action2: number;
        display: number;
        body: number;
        detail: number;
        code: string;
    };
    letterSpacings: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    fontWeights: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    fontSizes: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    fonts: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    colors: {
        transparent: string;
        white: string;
        black: string;
        blue05: string;
        blue10: string;
        blue20: string;
        blue30: string;
        blue40: string;
        blue50: string;
        blue60: string;
        lightBlue05: string;
        lightBlue10: string;
        lightBlue20: string;
        lightBlue30: string;
        lightBlue40: string;
        lightBlue50: string;
        lightBlue60: string;
        red05: string;
        red10: string;
        red20: string;
        red30: string;
        red40: string;
        red50: string;
        red60: string;
        green05: string;
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green50: string;
        green60: string;
        orange05: string;
        orange10: string;
        orange20: string;
        orange30: string;
        orange40: string;
        orange50: string;
        orange60: string;
        cyan05: string;
        cyan10: string;
        cyan20: string;
        cyan30: string;
        cyan40: string;
        cyan50: string;
        cyan60: string;
        purple05: string;
        purple10: string;
        purple20: string;
        purple30: string;
        purple40: string;
        purple50: string;
        purple60: string;
        pink05: string;
        pink10: string;
        pink20: string;
        pink30: string;
        pink40: string;
        pink50: string;
        pink60: string;
        teal05: string;
        teal10: string;
        teal20: string;
        teal30: string;
        teal40: string;
        teal50: string;
        teal60: string;
        gray05: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        gray60: string;
        grayTransparent05: string;
        grayTransparent10: string;
        grayTransparent20: string;
        grayTransparent30: string;
        grayTransparent40: string;
        grayTransparent50: string;
        grayTransparent60: string;
        grayTransparent70: string;
        grayTransparent80: string;
        grayTransparent90: string;
    };
    bg: {
        primary: string;
        secondary: string;
        disabled: string;
        positive: string;
        critical: string;
        warning: string;
        info: string;
        inverted: string;
        overlay: string;
        skeleton: string;
        action: {
            neutral: {
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
            };
            main: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
            critical: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
        };
        form: {
            neutral: string;
            neutralHover: string;
            neutralPressed: string;
            neutralChecked: string;
            neutralCheckedHover: string;
            neutralCheckedPressed: string;
            neutralInactive: string;
            neutralInactiveHover: string;
            neutralInactivePressed: string;
            neutralActive: string;
            neutralActiveHover: string;
            neutralActivePressed: string;
            controlHover: string;
            controlChecked: string;
            controlCheckedHover: string;
            controlCheckedFocus: string;
            controlActive: string;
            controlActiveHover: string;
            controlInactive: string;
            controlInactiveHover: string;
        };
        transparent: string;
        white: string;
        black: string;
        blue05: string;
        blue10: string;
        blue20: string;
        blue30: string;
        blue40: string;
        blue50: string;
        blue60: string;
        lightBlue05: string;
        lightBlue10: string;
        lightBlue20: string;
        lightBlue30: string;
        lightBlue40: string;
        lightBlue50: string;
        lightBlue60: string;
        red05: string;
        red10: string;
        red20: string;
        red30: string;
        red40: string;
        red50: string;
        red60: string;
        green05: string;
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green50: string;
        green60: string;
        orange05: string;
        orange10: string;
        orange20: string;
        orange30: string;
        orange40: string;
        orange50: string;
        orange60: string;
        cyan05: string;
        cyan10: string;
        cyan20: string;
        cyan30: string;
        cyan40: string;
        cyan50: string;
        cyan60: string;
        purple05: string;
        purple10: string;
        purple20: string;
        purple30: string;
        purple40: string;
        purple50: string;
        purple60: string;
        pink05: string;
        pink10: string;
        pink20: string;
        pink30: string;
        pink40: string;
        pink50: string;
        pink60: string;
        teal05: string;
        teal10: string;
        teal20: string;
        teal30: string;
        teal40: string;
        teal50: string;
        teal60: string;
        gray05: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        gray60: string;
        grayTransparent05: string;
        grayTransparent10: string;
        grayTransparent20: string;
        grayTransparent30: string;
        grayTransparent40: string;
        grayTransparent50: string;
        grayTransparent60: string;
        grayTransparent70: string;
        grayTransparent80: string;
        grayTransparent90: string;
    };
    border: {
        neutral: string;
        mainSelected: string;
        positive: string;
        info: string;
        critical: string;
        warning: string;
        disabled: string;
        form: {
            neutral: string;
            neutralHover: string;
            neutralFocus: string;
            neutralPressed: string;
            neutralChecked: string;
            neutralCheckedHover: string;
            neutralCheckedPressed: string;
            critical: string;
            criticalHover: string;
            criticalFocus: string;
            control: string;
            controlHover: string;
            controlFocus: string;
            controlChecked: string;
            controlCheckedHover: string;
            controlCheckedFocus: string;
        };
    };
    borderRadius: {
        none: string;
        base: string;
        pill: string;
    };
    breakpoints: {
        mobile: string;
        tablet: string;
        desktop: string;
        widescreen: string;
    };
    fg: {
        primary: string;
        secondary: string;
        disabled: string;
        inverted: string;
        positive: string;
        info: string;
        critical: string;
        warning: string;
        action: {
            neutral: {
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
            };
            main: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
            critical: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
        };
        form: {
            neutral: string;
            neutralChecked: string;
            controlNeutral: string;
            controlChecked: string;
            control: string;
        };
        transparent: string;
        white: string;
        black: string;
        blue05: string;
        blue10: string;
        blue20: string;
        blue30: string;
        blue40: string;
        blue50: string;
        blue60: string;
        lightBlue05: string;
        lightBlue10: string;
        lightBlue20: string;
        lightBlue30: string;
        lightBlue40: string;
        lightBlue50: string;
        lightBlue60: string;
        red05: string;
        red10: string;
        red20: string;
        red30: string;
        red40: string;
        red50: string;
        red60: string;
        green05: string;
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green50: string;
        green60: string;
        orange05: string;
        orange10: string;
        orange20: string;
        orange30: string;
        orange40: string;
        orange50: string;
        orange60: string;
        cyan05: string;
        cyan10: string;
        cyan20: string;
        cyan30: string;
        cyan40: string;
        cyan50: string;
        cyan60: string;
        purple05: string;
        purple10: string;
        purple20: string;
        purple30: string;
        purple40: string;
        purple50: string;
        purple60: string;
        pink05: string;
        pink10: string;
        pink20: string;
        pink30: string;
        pink40: string;
        pink50: string;
        pink60: string;
        teal05: string;
        teal10: string;
        teal20: string;
        teal30: string;
        teal40: string;
        teal50: string;
        teal60: string;
        gray05: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        gray60: string;
        grayTransparent05: string;
        grayTransparent10: string;
        grayTransparent20: string;
        grayTransparent30: string;
        grayTransparent40: string;
        grayTransparent50: string;
        grayTransparent60: string;
        grayTransparent70: string;
        grayTransparent80: string;
        grayTransparent90: string;
    };
    global: {
        '@font-face': {
            fontFamily: string;
            fontDisplay: string;
            fontStyle: string;
            src: string;
            unicodeRange: string;
        };
        body: {
            margin: string;
            bg: string;
            color: string;
        };
        'html, body': {
            text: string;
            fontSize: string;
            '-webkit-font-smoothing': string;
            '-moz-osx-font-smoothing': string;
        };
        'pre, code': {
            text: string;
        };
        '*': {
            text: string;
            '-webkit-font-smoothing': string;
            '-moz-osx-font-smoothing': string;
        };
        '*, ::before, ::after': {
            boxSizing: string;
            borderWidth: number;
            borderStyle: string;
        };
        'html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, a, abbr, acronym, address, big, cite, del, dfn, em, img, ins, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video': {
            margin: string;
            padding: string;
            border: number;
            verticalAlign: string;
        };
        'article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section': {
            display: string;
        };
        'blockquote, q': {
            quotes: string;
        };
        'blockquote:before, blockquote:after, q:before, q:after': {
            content: string;
        };
        table: {
            borderCollapse: string;
            borderSpacing: number;
        };
        '@tablet': {
            'blockquote:before, blockquote:after, q:before, q:after': {
                content: string;
            };
        };
    };
    shadow: {
        ring: {
            critical: string;
            neutral: string;
            main: string;
        };
        overlay: {
            center: string;
            bottom: string;
        };
    };
    sizes: {
        sm: string;
        md: string;
        lg: string;
        xl: string;
        '1/2': string;
        '1/4': string;
        '2/4': string;
        '3/4': string;
        '1/8': string;
        '2/8': string;
        '3/8': string;
        '4/8': string;
        '5/8': string;
        '6/8': string;
        '7/8': string;
        '1/12': string;
        '2/12': string;
        '3/12': string;
        '4/12': string;
        '5/12': string;
        '6/12': string;
        '7/12': string;
        '8/12': string;
        '9/12': string;
        '10/12': string;
        '11/12': string;
        full: string;
        screenHeight: string;
        screenWidth: string;
    };
    space: {
        'space-0': string;
        'space-05': string;
        'space-1': string;
        'space-2': string;
        'space-3': string;
        'space-4': string;
        'space-5': string;
        'space-6': string;
        'space-7': string;
        'space-8': string;
        'space-10': string;
        'space-12': string;
        'space-16': string;
        'space-20': string;
        'space-24': string;
        'space-28': string;
        'space-32': string;
    };
    text: {
        pageTitle: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        title1: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        title2: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        action1: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        action2: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        display: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        body: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        detail: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        code: {
            fontFamily: string;
        };
    };
};

declare const tones: ("main" | "critical" | "info" | "warning" | "positive" | "neutral")[];
type Tone = (typeof tones)[number];
type Palette = 'blue' | 'red' | 'pink' | 'lightBlue' | 'green' | 'orange' | 'cyan' | 'purple' | 'teal' | 'gray';
declare const paletteMap: Record<Tone, Palette>;
declare function asLiterals<T extends string>(array: T[]): T[];
declare const colorTokens: ("$white" | "$black" | "$blue05" | "$blue10" | "$blue20" | "$blue30" | "$blue40" | "$blue50" | "$blue60" | "$lightBlue05" | "$lightBlue10" | "$lightBlue20" | "$lightBlue30" | "$lightBlue40" | "$lightBlue50" | "$lightBlue60" | "$red05" | "$red10" | "$red20" | "$red30" | "$red40" | "$red50" | "$red60" | "$green05" | "$green10" | "$green20" | "$green30" | "$green40" | "$green50" | "$green60" | "$orange05" | "$orange10" | "$orange20" | "$orange30" | "$orange40" | "$orange50" | "$orange60" | "$cyan05" | "$cyan10" | "$cyan20" | "$cyan30" | "$cyan40" | "$cyan50" | "$cyan60" | "$purple05" | "$purple10" | "$purple20" | "$purple30" | "$purple40" | "$purple50" | "$purple60" | "$pink05" | "$pink10" | "$pink20" | "$pink30" | "$pink40" | "$pink50" | "$pink60" | "$teal05" | "$teal10" | "$teal20" | "$teal30" | "$teal40" | "$teal50" | "$teal60" | "$gray05" | "$gray10" | "$gray20" | "$gray30" | "$gray40" | "$gray50" | "$gray60" | "$grayTransparent05" | "$grayTransparent10" | "$grayTransparent20" | "$grayTransparent30" | "$grayTransparent40" | "$grayTransparent50" | "$grayTransparent60" | "$grayTransparent70" | "$grayTransparent80" | "$grayTransparent90")[];
declare const bgTokens: ("$white" | "$black" | "$blue05" | "$blue10" | "$blue20" | "$blue30" | "$blue40" | "$blue50" | "$blue60" | "$lightBlue05" | "$lightBlue10" | "$lightBlue20" | "$lightBlue30" | "$lightBlue40" | "$lightBlue50" | "$lightBlue60" | "$red05" | "$red10" | "$red20" | "$red30" | "$red40" | "$red50" | "$red60" | "$green05" | "$green10" | "$green20" | "$green30" | "$green40" | "$green50" | "$green60" | "$orange05" | "$orange10" | "$orange20" | "$orange30" | "$orange40" | "$orange50" | "$orange60" | "$cyan05" | "$cyan10" | "$cyan20" | "$cyan30" | "$cyan40" | "$cyan50" | "$cyan60" | "$purple05" | "$purple10" | "$purple20" | "$purple30" | "$purple40" | "$purple50" | "$purple60" | "$pink05" | "$pink10" | "$pink20" | "$pink30" | "$pink40" | "$pink50" | "$pink60" | "$teal05" | "$teal10" | "$teal20" | "$teal30" | "$teal40" | "$teal50" | "$teal60" | "$gray05" | "$gray10" | "$gray20" | "$gray30" | "$gray40" | "$gray50" | "$gray60" | "$grayTransparent05" | "$grayTransparent10" | "$grayTransparent20" | "$grayTransparent30" | "$grayTransparent40" | "$grayTransparent50" | "$grayTransparent60" | "$grayTransparent70" | "$grayTransparent80" | "$grayTransparent90" | "$primary" | "$secondary" | "$disabled" | "$positive" | "$critical" | "$warning" | "$info" | "$inverted" | "$overlay" | "$skeleton" | "$action.neutral.tertiary" | "$action.neutral.tertiaryHover" | "$action.neutral.tertiaryPressed" | "$action.main.primary" | "$action.main.primaryHover" | "$action.main.primaryPressed" | "$action.main.secondary" | "$action.main.secondaryHover" | "$action.main.secondaryPressed" | "$action.main.tertiary" | "$action.main.tertiaryHover" | "$action.main.tertiaryPressed" | "$action.main.tertiarySelected" | "$action.critical.primary" | "$action.critical.primaryHover" | "$action.critical.primaryPressed" | "$action.critical.secondary" | "$action.critical.secondaryHover" | "$action.critical.secondaryPressed" | "$action.critical.tertiary" | "$action.critical.tertiaryHover" | "$action.critical.tertiaryPressed" | "$action.critical.tertiarySelected" | "$form.neutral" | "$form.neutralHover" | "$form.neutralPressed" | "$form.neutralChecked" | "$form.neutralCheckedHover" | "$form.neutralCheckedPressed" | "$form.neutralInactive" | "$form.neutralInactiveHover" | "$form.neutralInactivePressed" | "$form.neutralActive" | "$form.neutralActiveHover" | "$form.neutralActivePressed" | "$form.controlHover" | "$form.controlChecked" | "$form.controlCheckedHover" | "$form.controlActive" | "$form.controlActiveHover" | "$form.controlInactive" | "$form.controlInactiveHover")[];
declare const fgTokens: ("$white" | "$black" | "$blue05" | "$blue10" | "$blue20" | "$blue30" | "$blue40" | "$blue50" | "$blue60" | "$lightBlue05" | "$lightBlue10" | "$lightBlue20" | "$lightBlue30" | "$lightBlue40" | "$lightBlue50" | "$lightBlue60" | "$red05" | "$red10" | "$red20" | "$red30" | "$red40" | "$red50" | "$red60" | "$green05" | "$green10" | "$green20" | "$green30" | "$green40" | "$green50" | "$green60" | "$orange05" | "$orange10" | "$orange20" | "$orange30" | "$orange40" | "$orange50" | "$orange60" | "$cyan05" | "$cyan10" | "$cyan20" | "$cyan30" | "$cyan40" | "$cyan50" | "$cyan60" | "$purple05" | "$purple10" | "$purple20" | "$purple30" | "$purple40" | "$purple50" | "$purple60" | "$pink05" | "$pink10" | "$pink20" | "$pink30" | "$pink40" | "$pink50" | "$pink60" | "$teal05" | "$teal10" | "$teal20" | "$teal30" | "$teal40" | "$teal50" | "$teal60" | "$gray05" | "$gray10" | "$gray20" | "$gray30" | "$gray40" | "$gray50" | "$gray60" | "$grayTransparent05" | "$grayTransparent10" | "$grayTransparent20" | "$grayTransparent30" | "$grayTransparent40" | "$grayTransparent50" | "$grayTransparent60" | "$grayTransparent70" | "$grayTransparent80" | "$grayTransparent90" | "$primary" | "$secondary" | "$disabled" | "$positive" | "$critical" | "$warning" | "$info" | "$inverted" | "$action.neutral.tertiary" | "$action.neutral.tertiaryHover" | "$action.neutral.tertiaryPressed" | "$action.main.primary" | "$action.main.primaryHover" | "$action.main.primaryPressed" | "$action.main.secondary" | "$action.main.secondaryHover" | "$action.main.secondaryPressed" | "$action.main.tertiary" | "$action.main.tertiaryHover" | "$action.main.tertiaryPressed" | "$action.main.tertiarySelected" | "$action.critical.primary" | "$action.critical.primaryHover" | "$action.critical.primaryPressed" | "$action.critical.secondary" | "$action.critical.secondaryHover" | "$action.critical.secondaryPressed" | "$action.critical.tertiary" | "$action.critical.tertiaryHover" | "$action.critical.tertiaryPressed" | "$action.critical.tertiarySelected" | "$form.neutral" | "$form.neutralChecked" | "$form.controlChecked")[];
declare const borderTokens: ("$disabled" | "$positive" | "$critical" | "$warning" | "$info" | "$form.neutral" | "$form.neutralHover" | "$form.neutralPressed" | "$form.neutralChecked" | "$form.neutralCheckedHover" | "$form.neutralCheckedPressed" | "$form.controlHover" | "$form.controlChecked" | "$form.controlCheckedHover" | "$neutral" | "$mainSelected" | "$form.neutralFocus" | "$form.critical" | "$form.criticalHover" | "$form.criticalFocus" | "$form.control")[];
declare const shadowTokens: ("$ring.critical" | "$ring.neutral" | "$ring.main" | "$overlay.center" | "$overlay.bottom")[];
declare const textTokens: ("$pageTitle" | "$title1" | "$title2" | "$action1" | "$action2" | "$display" | "$body" | "$detail")[];
declare const spaceTokens: ("$space-0" | "$space-05" | "$space-1" | "$space-2" | "$space-3" | "$space-4" | "$space-5" | "$space-6" | "$space-7" | "$space-8" | "$space-10" | "$space-12" | "$space-16" | "$space-20" | "$space-24" | "$space-28" | "$space-32")[];
declare const elevationTokens: ("z-1" | "z-2" | "z-3" | "z-4" | "z-5" | "z-6" | "z-7" | "z-8" | "z-9" | "z-10")[];
declare const borderRadiusTokens: ("$none" | "$pill" | "$base")[];
type ColorTokens = (typeof colorTokens)[number];
type FgTokens = (typeof fgTokens)[number];
type BgTokens = (typeof bgTokens)[number];
type BorderTokens = (typeof borderTokens)[number];
type ShadowTokens = (typeof shadowTokens)[number];
type TextTokens = (typeof textTokens)[number];
type SpaceTokens = (typeof spaceTokens)[number];
type ElevationTokens = (typeof elevationTokens)[number];
type BorderRadiusTokens = (typeof borderRadiusTokens)[number];
type StandardCSSProperties = CSS.Properties<number | string>;
type ResponsiveStyleValue<T> = T | Array<T | null | undefined>;
/**
 * All non-vendor-prefixed CSS properties. (Allow `number` to support CSS-in-JS libs,
 * since they are converted to pixels)
 */
type EmotionCSSProperties = CSS.StandardProperties<number | string> & CSS.SvgProperties<number | string> & CSS.VendorProperties<number | string>;
/**
 * Map of all CSS pseudo selectors (`:hover`, `:focus`, ...)
 */
type CSSPseudoSelectorProps = {
    [K in CSS.Pseudos]?: StyleProp;
};
interface AliasesCSSProperties {
    /**
     * Shorthand for backgroundColor
     */
    bg?: BgTokens | CSS.Property.Background;
    /**
     * Shorthand for color
     */
    fg?: FgTokens | CSS.Property.Color;
    /**
     * Shorthand for marginLeft & marginRight
     */
    marginX?: SpaceTokens | CSS.Property.MarginLeft | number;
    /**
     * Shorthand for marginTop & marginBottom
     */
    marginY?: SpaceTokens | CSS.Property.MarginTop | number;
    /**
     * Shorthand for paddingLeft & paddingRight
     */
    paddingX?: SpaceTokens | CSS.Property.PaddingLeft | number;
    /**
     * Shorthand for paddingTop & paddingBottom
     */
    paddingY?: SpaceTokens | CSS.Property.PaddingTop | number;
    /**
     * Shorthand for width & height
     */
    size?: StandardCSSProperties['width'];
    /**
     * Admin-ui available text patterns
     */
    text?: TextTokens;
    /**
     * Shorthand for applying color and background properties from the same palette while mantaining design consistency
     */
    colorTheme?: Palette;
}
interface ResponsiveAliases {
    '@tablet'?: StyleProp;
    '@desktop'?: StyleProp;
    '@widescreen'?: StyleProp;
}
interface OverwriteCSSProperties {
    /**
     * CSS **`color`** property
     * @default currentColor
     */
    color?: FgTokens | CSS.Property.Color;
    /**
     * CSS **`backgroundColor`** property
     * @default transparent
     */
    background?: BgTokens | CSS.Property.BackgroundColor;
    /**
     * CSS **`border`** property
     * @default currentColor
     */
    border?: BorderTokens | CSS.Property.BorderColor;
    /**
     * CSS **`caretColor`** property
     * @default currentColor
     */
    caretColor?: ColorTokens | CSS.Property.CaretColor;
    /**
     * CSS **`columnRuleColor`** property
     * @default currentColor
     */
    columnRuleColor?: ColorTokens | CSS.Property.ColumnRuleColor;
    /**
     * CSS **`borderTopColor`** property
     * @default currentColor
     */
    borderTopColor?: BorderTokens | CSS.Property.BorderTopColor;
    /**
     * CSS **`borderBottomColor`** property
     * @default currentColor
     */
    borderBottomColor?: BorderTokens | CSS.Property.BorderBottomColor;
    /**
     * CSS **`borderLeftColor`** property
     * @default currentColor
     */
    borderLeftColor?: BorderTokens | CSS.Property.BorderLeftColor;
    /**
     * CSS **`borderRightColor`** property
     * @default currentColor
     */
    borderRightColor?: BorderTokens | CSS.Property.BorderRightColor;
    /**
     * CSS **`outlineColor`** property
     * @default currentColor
     */
    outlineColor?: ColorTokens | CSS.Property.OutlineColor;
    /**
     * CSS **`fill`** property
     * @default currentColor
     */
    fill?: ColorTokens | CSS.Property.Fill;
    /**
     * CSS **`stroke`** property
     * @default currentColor
     */
    stroke?: ColorTokens | CSS.Property.Stroke;
    /**
     * CSS **`box-shadow`** property
     * @default none
     */
    boxShadow?: CSS.Property.BoxShadow | number;
    /**
     * CSS **`border-top-style`** property
     * @default none
     */
    borderTopStyle?: CSS.Property.BorderTopStyle | string;
    /**
     * CSS **`border-top-width`** property
     * @default medium
     */
    borderTopWidth?: CSS.Property.BorderTopWidth<never> | string;
    /**
     * CSS **`border-bottom-style`** property
     * @default none
     */
    borderBottomStyle?: CSS.Property.BorderBottomStyle | string;
    /**
     * CSS **`border-right-style`** property
     * @default none
     */
    borderRightStyle?: CSS.Property.BorderRightStyle | string;
    /**
     * CSS **`border-left-style`** property
     * @default none
     */
    borderLeftStyle?: CSS.Property.BorderLeftStyle | string;
    /**
     * CSS **`border-radius`** property
     */
    borderRadius?: CSS.Property.BorderRadius<string | number> | CSSPropAutocomplete<BorderRadiusTokens>;
    /**
     * CSS **`z-index`** property
     * @default auto
     */
    zIndex?: CSSPropAutocomplete<ElevationTokens> | CSS.Property.ZIndex | string;
    /**
     * CSS **padding** property
     */
    padding?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **paddingTop** property
     */
    paddingTop?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **paddingBottom** property
     */
    paddingBottom?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **paddingLeft** property
     */
    paddingLeft?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **paddingRight** property
     */
    paddingRight?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **margin** property
     */
    margin?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **marginTop** property
     */
    marginTop?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **marginBottom** property
     */
    marginBottom?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **marginLeft** property
     */
    marginLeft?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
    /**
     * CSS **marginRight** property
     */
    marginRight?: CSSPropAutocomplete<SpaceTokens> | CSS.Globals | number;
}
/**
 * Map of all available CSS properties (including aliases and overwrites)
 * and their raw value.
 */
interface ExtendedCSSProps extends Omit<EmotionCSSProperties, keyof OverwriteCSSProperties>, AliasesCSSProperties, OverwriteCSSProperties {
}
type StylePropertyValue<T> = ResponsiveStyleValue<Exclude<T, undefined>> | ((theme: Theme, cssProperty: string) => ResponsiveStyleValue<Exclude<T, undefined>>) | StyleProp;
type CSSProps = {
    [K in keyof ExtendedCSSProps]: StylePropertyValue<ExtendedCSSProps[K]>;
};
interface ThemeDerivedStyles {
    (theme: Theme): StyleObject;
}
interface CSSOthersObject {
    [k: string]: StylePropertyValue<string | number> | undefined | null;
}
type StyleObject = CSSProps & CSSPseudoSelectorProps & CSSOthersObject & ResponsiveAliases;
/**
 * The `StyleProp` extends [style props](https://emotion.sh/docs/object-styles)
 * such that properties that are part of the `Theme` will be transformed to
 * their corresponding values. Other valid CSS properties are also allowed.
 */
type StyleProp = StyleObject | ThemeDerivedStyles;
/**
 * An array or object (possibly nested) of related CSS properties
 */
type Scale<T> = T[] | {
    [K: string]: T | Scale<T>;
    [I: number]: T;
};
interface Theme {
    global?: {
        imports?: string[];
        styles?: StyleObject;
    };
    breakpoints?: {
        mobile: string;
        tablet: string;
        desktop: string;
        widescreen: string;
    };
    mediaQueries?: {
        [size: string]: string;
    };
    space?: Scale<CSS.Property.Margin<number | string>>;
    fontSizes?: Scale<CSS.Property.FontSize<number>>;
    fonts?: Scale<CSS.Property.FontFamily>;
    fontWeights?: Scale<CSS.Property.FontWeight>;
    lineHeights?: Scale<CSS.Property.LineHeight<string | 0 | number>>;
    letterSpacings?: Scale<CSS.Property.LetterSpacing<string | 0 | number>>;
    sizes?: Scale<CSS.Property.Height | CSS.Property.Width | string | number>;
    borders?: Scale<CSS.Property.Border>;
    borderStyles?: Scale<CSS.Property.Border>;
    borderWidths?: Scale<CSS.Property.BorderWidth<string | 0 | number>>;
    radii?: Scale<CSS.Property.BorderRadius<string | 0 | number>>;
    shadows?: Scale<CSS.Property.BoxShadow>;
    zIndices?: Scale<CSS.Property.ZIndex>;
    colorStyles?: Scale<CSSProps>;
    textStyles?: Scale<CSSProps>;
    opacities?: Scale<CSS.Property.Opacity>;
    transitions?: Scale<CSS.Property.Transition>;
    /**
     * Define the colors that are available through this theme
     */
    colors?: {
        [k: string]: CSS.Property.Color | Scale<CSS.Property.Color> | undefined;
    };
    [k: string]: any;
    components?: {
        [k: string]: StyleObject;
    };
}
type CSSAbsoluteUnit = 'cm' | 'mm' | 'in' | 'px' | 'pt' | 'pc';
type CSSRelativeUnit = 'em' | 'rem' | 'ex' | 'ch' | 'vw' | 'vh' | 'vmin' | 'vmax' | '%';
type CSSUnit = CSSAbsoluteUnit | CSSRelativeUnit;
type CSSPropAutocomplete<T extends string> = T | (string & {});

/**
 * Parses a style object
 */
declare function styles(csxObject?: StyleProp, theme?: any): CSS$1<{
    media: {};
    theme: {};
    themeMap: {};
    utils: {};
}>;
/**
 * Get css value from a token for a css property
 */
declare function getTokenValue(theme: AnyObject, cssProperty: string, token: any): any;
declare function createCsx(theme?: any): (csxObject: StyleProp) => string;
declare const csx: (csxObject: StyleProp) => string;

type BaseTheme<T> = T & {
    global: any;
};
type CSSVariables = Record<string, Record<string, any>>;

declare const theme: BaseTheme<{
    transitions: {
        snap: string;
        fade: string;
        pop: string;
        callout: string;
    };
    zIndices: {
        'z-1': number;
        'z-2': number;
        'z-3': number;
        'z-4': number;
        'z-5': number;
        'z-6': number;
        'z-7': number;
        'z-8': number;
        'z-9': number;
        'z-10': number;
    };
    lineHeights: {
        pageTitle: number;
        title1: number;
        title2: number;
        action1: number;
        action2: number;
        display: number;
        body: number;
        detail: number;
        code: string;
    };
    letterSpacings: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    fontWeights: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    fontSizes: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    fonts: {
        pageTitle: string;
        title1: string;
        title2: string;
        action1: string;
        action2: string;
        display: string;
        body: string;
        detail: string;
        code: string;
    };
    colors: {
        transparent: string;
        white: string;
        black: string;
        blue05: string;
        blue10: string;
        blue20: string;
        blue30: string;
        blue40: string;
        blue50: string;
        blue60: string;
        lightBlue05: string;
        lightBlue10: string;
        lightBlue20: string;
        lightBlue30: string;
        lightBlue40: string;
        lightBlue50: string;
        lightBlue60: string;
        red05: string;
        red10: string;
        red20: string;
        red30: string;
        red40: string;
        red50: string;
        red60: string;
        green05: string;
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green50: string;
        green60: string;
        orange05: string;
        orange10: string;
        orange20: string;
        orange30: string;
        orange40: string;
        orange50: string;
        orange60: string;
        cyan05: string;
        cyan10: string;
        cyan20: string;
        cyan30: string;
        cyan40: string;
        cyan50: string;
        cyan60: string;
        purple05: string;
        purple10: string;
        purple20: string;
        purple30: string;
        purple40: string;
        purple50: string;
        purple60: string;
        pink05: string;
        pink10: string;
        pink20: string;
        pink30: string;
        pink40: string;
        pink50: string;
        pink60: string;
        teal05: string;
        teal10: string;
        teal20: string;
        teal30: string;
        teal40: string;
        teal50: string;
        teal60: string;
        gray05: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        gray60: string;
        grayTransparent05: string;
        grayTransparent10: string;
        grayTransparent20: string;
        grayTransparent30: string;
        grayTransparent40: string;
        grayTransparent50: string;
        grayTransparent60: string;
        grayTransparent70: string;
        grayTransparent80: string;
        grayTransparent90: string;
    };
    bg: {
        primary: string;
        secondary: string;
        disabled: string;
        positive: string;
        critical: string;
        warning: string;
        info: string;
        inverted: string;
        overlay: string;
        skeleton: string;
        action: {
            neutral: {
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
            };
            main: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
            critical: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
        };
        form: {
            neutral: string;
            neutralHover: string;
            neutralPressed: string;
            neutralChecked: string;
            neutralCheckedHover: string;
            neutralCheckedPressed: string;
            neutralInactive: string;
            neutralInactiveHover: string;
            neutralInactivePressed: string;
            neutralActive: string;
            neutralActiveHover: string;
            neutralActivePressed: string;
            controlHover: string;
            controlChecked: string;
            controlCheckedHover: string;
            controlCheckedFocus: string;
            controlActive: string;
            controlActiveHover: string;
            controlInactive: string;
            controlInactiveHover: string;
        };
        transparent: string;
        white: string;
        black: string;
        blue05: string;
        blue10: string;
        blue20: string;
        blue30: string;
        blue40: string;
        blue50: string;
        blue60: string;
        lightBlue05: string;
        lightBlue10: string;
        lightBlue20: string;
        lightBlue30: string;
        lightBlue40: string;
        lightBlue50: string;
        lightBlue60: string;
        red05: string;
        red10: string;
        red20: string;
        red30: string;
        red40: string;
        red50: string;
        red60: string;
        green05: string;
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green50: string;
        green60: string;
        orange05: string;
        orange10: string;
        orange20: string;
        orange30: string;
        orange40: string;
        orange50: string;
        orange60: string;
        cyan05: string;
        cyan10: string;
        cyan20: string;
        cyan30: string;
        cyan40: string;
        cyan50: string;
        cyan60: string;
        purple05: string;
        purple10: string;
        purple20: string;
        purple30: string;
        purple40: string;
        purple50: string;
        purple60: string;
        pink05: string;
        pink10: string;
        pink20: string;
        pink30: string;
        pink40: string;
        pink50: string;
        pink60: string;
        teal05: string;
        teal10: string;
        teal20: string;
        teal30: string;
        teal40: string;
        teal50: string;
        teal60: string;
        gray05: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        gray60: string;
        grayTransparent05: string;
        grayTransparent10: string;
        grayTransparent20: string;
        grayTransparent30: string;
        grayTransparent40: string;
        grayTransparent50: string;
        grayTransparent60: string;
        grayTransparent70: string;
        grayTransparent80: string;
        grayTransparent90: string;
    };
    border: {
        neutral: string;
        mainSelected: string;
        positive: string;
        info: string;
        critical: string;
        warning: string;
        disabled: string;
        form: {
            neutral: string;
            neutralHover: string;
            neutralFocus: string;
            neutralPressed: string;
            neutralChecked: string;
            neutralCheckedHover: string;
            neutralCheckedPressed: string;
            critical: string;
            criticalHover: string;
            criticalFocus: string;
            control: string;
            controlHover: string;
            controlFocus: string;
            controlChecked: string;
            controlCheckedHover: string;
            controlCheckedFocus: string;
        };
    };
    borderRadius: {
        none: string;
        base: string;
        pill: string;
    };
    breakpoints: {
        mobile: string;
        tablet: string;
        desktop: string;
        widescreen: string;
    };
    fg: {
        primary: string;
        secondary: string;
        disabled: string;
        inverted: string;
        positive: string;
        info: string;
        critical: string;
        warning: string;
        action: {
            neutral: {
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
            };
            main: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
            critical: {
                primary: string;
                primaryHover: string;
                primaryPressed: string;
                secondary: string;
                secondaryHover: string;
                secondaryPressed: string;
                tertiary: string;
                tertiaryHover: string;
                tertiaryPressed: string;
                tertiarySelected: string;
            };
        };
        form: {
            neutral: string;
            neutralChecked: string;
            controlNeutral: string;
            controlChecked: string;
            control: string;
        };
        transparent: string;
        white: string;
        black: string;
        blue05: string;
        blue10: string;
        blue20: string;
        blue30: string;
        blue40: string;
        blue50: string;
        blue60: string;
        lightBlue05: string;
        lightBlue10: string;
        lightBlue20: string;
        lightBlue30: string;
        lightBlue40: string;
        lightBlue50: string;
        lightBlue60: string;
        red05: string;
        red10: string;
        red20: string;
        red30: string;
        red40: string;
        red50: string;
        red60: string;
        green05: string;
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green50: string;
        green60: string;
        orange05: string;
        orange10: string;
        orange20: string;
        orange30: string;
        orange40: string;
        orange50: string;
        orange60: string;
        cyan05: string;
        cyan10: string;
        cyan20: string;
        cyan30: string;
        cyan40: string;
        cyan50: string;
        cyan60: string;
        purple05: string;
        purple10: string;
        purple20: string;
        purple30: string;
        purple40: string;
        purple50: string;
        purple60: string;
        pink05: string;
        pink10: string;
        pink20: string;
        pink30: string;
        pink40: string;
        pink50: string;
        pink60: string;
        teal05: string;
        teal10: string;
        teal20: string;
        teal30: string;
        teal40: string;
        teal50: string;
        teal60: string;
        gray05: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        gray60: string;
        grayTransparent05: string;
        grayTransparent10: string;
        grayTransparent20: string;
        grayTransparent30: string;
        grayTransparent40: string;
        grayTransparent50: string;
        grayTransparent60: string;
        grayTransparent70: string;
        grayTransparent80: string;
        grayTransparent90: string;
    };
    global: {
        '@font-face': {
            fontFamily: string;
            fontDisplay: string;
            fontStyle: string;
            src: string;
            unicodeRange: string;
        };
        body: {
            margin: string;
            bg: string;
            color: string;
        };
        'html, body': {
            text: string;
            fontSize: string;
            '-webkit-font-smoothing': string;
            '-moz-osx-font-smoothing': string;
        };
        'pre, code': {
            text: string;
        };
        '*': {
            text: string;
            '-webkit-font-smoothing': string;
            '-moz-osx-font-smoothing': string;
        };
        '*, ::before, ::after': {
            boxSizing: string;
            borderWidth: number;
            borderStyle: string;
        };
        'html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, a, abbr, acronym, address, big, cite, del, dfn, em, img, ins, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video': {
            margin: string;
            padding: string;
            border: number;
            verticalAlign: string;
        };
        'article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section': {
            display: string;
        };
        'blockquote, q': {
            quotes: string;
        };
        'blockquote:before, blockquote:after, q:before, q:after': {
            content: string;
        };
        table: {
            borderCollapse: string;
            borderSpacing: number;
        };
        '@tablet': {
            'blockquote:before, blockquote:after, q:before, q:after': {
                content: string;
            };
        };
    };
    shadow: {
        ring: {
            critical: string;
            neutral: string;
            main: string;
        };
        overlay: {
            center: string;
            bottom: string;
        };
    };
    sizes: {
        sm: string;
        md: string;
        lg: string;
        xl: string;
        '1/2': string;
        '1/4': string;
        '2/4': string;
        '3/4': string;
        '1/8': string;
        '2/8': string;
        '3/8': string;
        '4/8': string;
        '5/8': string;
        '6/8': string;
        '7/8': string;
        '1/12': string;
        '2/12': string;
        '3/12': string;
        '4/12': string;
        '5/12': string;
        '6/12': string;
        '7/12': string;
        '8/12': string;
        '9/12': string;
        '10/12': string;
        '11/12': string;
        full: string;
        screenHeight: string;
        screenWidth: string;
    };
    space: {
        'space-0': string;
        'space-05': string;
        'space-1': string;
        'space-2': string;
        'space-3': string;
        'space-4': string;
        'space-5': string;
        'space-6': string;
        'space-7': string;
        'space-8': string;
        'space-10': string;
        'space-12': string;
        'space-16': string;
        'space-20': string;
        'space-24': string;
        'space-28': string;
        'space-32': string;
    };
    text: {
        pageTitle: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        title1: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        title2: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        action1: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        action2: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        display: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        body: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        detail: {
            fontFamily: string;
            fontVariationSettings: string;
            fontSize: string;
            lineHeight: number;
            letterSpacing: string;
        };
        code: {
            fontFamily: string;
        };
    };
}>;
declare const cssVariables: CSSVariables;
//# sourceMappingURL=theme.d.ts.map

declare function style(csx: StyleProp): StyleProp;
declare function styleVariants<V extends {}>(variants: VariantDef<V>): (rules: VariantsCall<V>) => StyleProp;
type VariantDef<V> = {
    [k in keyof V]: {
        [b in keyof V[k]]: StyleProp;
    };
};
type InferVariant<T> = T extends 'true' | 'false' ? boolean : T;
type VariantsCall<V extends {}> = {
    [k in keyof V]?: InferVariant<keyof V[k]>;
};
/**
 * Get variant parameters as props
 * @example
 * const variants = styleVariants({})
 * type Props = VariantProps<typeof variants>
 */
type VariantProps<V extends (args: any) => any> = Parameters<V>[0];
/**
 * Enhance component props with variants
 * @example
 * interface Props {}
 * const variants = styleVariants({})
 * type ComponentProps = PropsWithVariants<Props, typeof variants>
 */
type PropsWithVariants<P extends {}, V extends (args: any) => any> = P & VariantProps<V>;

declare function ring(tone: Tone): string;
declare function palette(color: Palette): StyleProp;
declare function color(token: ColorTokens): any;
declare function listBoxItem(tone: 'main' | 'critical', selected?: boolean): {
    bg: string;
    color: string;
    ':hover': {
        bg: string;
        color: string;
    };
    ':pressed': {
        bg: string;
        color: string;
    };
};
declare function focusVisible(tone: Tone, styleProps?: {
    focus?: StyleProp;
    polyfill?: StyleProp;
}): StyleProp;
declare function border(ct: ColorTokens, widthPx?: number): string;
declare function withUnit(value: unknown, unit: CSSUnit): string;
declare function isToken(token: string): boolean;
declare function extractTokenCall(token: string): string;
declare const cx: (...args: string[]) => string;

declare const getCssText: () => string;
declare const css: <Composers extends (string | _stitches_react_types_util.Function | react.ExoticComponent<any> | react.JSXElementConstructor<any> | {
    [name: string]: unknown;
})[], CSS = _stitches_react_types_css_util.CSS<{}, {}, _stitches_react_types_config.DefaultThemeMap, {}>>(...composers: { [K in keyof Composers]: string extends Composers[K] ? Composers[K] : Composers[K] extends string | _stitches_react_types_util.Function | react.ExoticComponent<any> | react.JSXElementConstructor<any> ? Composers[K] : _stitches_react_types_stitches.RemoveIndex<CSS> & {
    variants?: {
        [x: string]: {
            [x: string]: CSS;
            [x: number]: CSS;
        };
    } | undefined;
    compoundVariants?: (("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T ? { [Name in keyof T]?: _stitches_react_types_util.String | _stitches_react_types_util.Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name]> | undefined; } : never : _stitches_react_types_util.WideObject) & {
        css: CSS;
    })[] | undefined;
    defaultVariants?: ("variants" extends keyof Composers[K] ? Composers[K][keyof Composers[K] & "variants"] extends infer T_1 ? { [Name_1 in keyof T_1]?: _stitches_react_types_util.String | _stitches_react_types_util.Widen<keyof Composers[K][keyof Composers[K] & "variants"][Name_1]> | undefined; } : never : _stitches_react_types_util.WideObject) | undefined;
} & CSS & (Composers[K] extends infer T_2 ? { [K2 in keyof T_2]: K2 extends "compoundVariants" | "defaultVariants" | "variants" ? unknown : K2 extends keyof CSS ? CSS[K2] : unknown; } : never); }) => _stitches_react_types_styled_component.CssComponent<_stitches_react_types_styled_component.StyledComponentType<Composers>, _stitches_react_types_styled_component.StyledComponentProps<Composers>, {}, CSS>;
declare const keyframes: (style: {
    [offset: string]: _stitches_react_types_css_util.CSS<{}, {}, _stitches_react_types_config.DefaultThemeMap, {}>;
}) => {
    (): string;
    name: string;
};
declare const globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? _stitches_react_types_css.AtRule.FontFace | _stitches_react_types_css.AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: _stitches_react_types_css_util.CSS<{}, {}, _stitches_react_types_config.DefaultThemeMap, {}>;
} : K extends `@property ${string}` ? _stitches_react_types_css.AtRule.Property : _stitches_react_types_css_util.CSS<{}, {}, _stitches_react_types_config.DefaultThemeMap, {}>; })[]) => () => string;

declare function negative(token: string): (theme: AnyObject, cssProperty: string) => string;

type PossibleDataAttrValues = string | boolean;
type ObjectNotation = Record<string, PossibleDataAttrValues>;
declare function dataAttr(property: string | ObjectNotation, value?: PossibleDataAttrValues): string;

export { AliasesCSSProperties, BgTokens, BorderRadiusTokens, BorderTokens, CSSAbsoluteUnit, CSSOthersObject, CSSPropAutocomplete, CSSProps, CSSPseudoSelectorProps, CSSRelativeUnit, CSSUnit, ColorTokens, ElevationTokens, EmotionCSSProperties, ExtendedCSSProps, FgTokens, InferVariant, OverwriteCSSProperties, Palette, PropsWithVariants, ResponsiveAliases, ResponsiveStyleValue, Scale, ShadowTokens, SpaceTokens, StandardCSSProperties, StyleObject, StyleProp, StylePropertyValue, TextTokens, Theme, ThemeDerivedStyles, Tone, VariantDef, VariantProps, VariantsCall, asLiterals, bgTokens, border, borderRadiusTokens, borderTokens, color, colorTokens, createCsx, css, cssVariables, csx, cx, dataAttr, elevationTokens, extractTokenCall, fgTokens, focusVisible, getCssText, getTokenValue, globalCss, isToken, keyframes, listBoxItem, negative, palette, paletteMap, ring, shadowTokens, spaceTokens, style, styleVariants, styles, textTokens, theme, tokens, tones, withUnit };
